fann_scale_train
fann_set_activation_function_layer
Fann Functions
PHP Manual

# fann_set_activation_function_hidden

Sets the activation function for all of the hidden layers

### Description

bool fann_set_activation_function_hidden ( resource `$ann` , int `$activation_function` )

Sets the activation function for all of the hidden layers.

### Parameters

`ann`

  Neural network resource.

`activation_function`

  The activation functions constant.

### Return Values

Returns `TRUE` on success, or `FALSE` otherwise.

### See Also

- fann_set_activation_function
- fann_set_activation_function_layer
- fann_set_activation_function_output
- fann_set_activation_steepness